## python-awair 0.2.4

=== docs/requirements.txt ===
sphinx-readable-theme==1.3.0
aiohttp==3.7.4
voluptuous>=0.11.7

=== debian/changelog ===
python-awair (0.2.4-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 15:20:15 +0900

python-awair (0.2.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1077017)

 -- Edward Betts <edward@4angle.com>  Thu, 25 Jul 2024 18:00:02 +0900

=== debian/control ===
Source: python-awair
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-aiohttp <!nocheck>,
               python3-all,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-vcr <!nocheck>,
               python3-voluptuous <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/ahayworth/python_awair
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-awair
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-awair.git

Package: python3-python-awair
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Asyncio client for the Awair GraphQL and Local APIs
 An asyncio-based library for accessing parts of Awair's REST API. It supports
 listing devices, retrieving user information, and querying various sensor data
 over different timeframes. The package adopts an object-oriented approach to
 data handling and querying. Note that the Device API, Organization API, and
 device management functionalities are not supported.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-awair

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf python_awair.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-pytest, python3-pytest-asyncio, python3-vcr, @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-awair-$1\.tar\.gz/ \
  https://github.com/ahayworth/python_awair/tags .*/v?(\d\S+)\.tar\.gz

## python-awair 0.2.5

=== debian/changelog ===
python-awair (0.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 21 Dec 2025 09:57:50 +0000

python-awair (0.2.4-3) unstable; urgency=medium

  * Fix FTBFS by passing asyncio_mode=auto to pytest. (Closes: #1114294)
  * Switch to autopkgtest-pkg-pybuild.
  * Move packages required for tests to Build-Depends-Indep.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.
  * Simplify debian/rules.

 -- Edward Betts <edward@4angle.com>  Thu, 06 Nov 2025 08:32:28 +0000
